Page MenuHomePhabricator

Opening VisualEditor on en.wp always loads Mapbox
Closed, ResolvedPublic0 Story Points

Description

Whenever you open the VE, you will load the entire map box library. This seems highly undesirable for performance.

$1.mapbox

< {requiredBy: ["ext.kartographer.settings", "ext.kartographer.lib.topojson"], requires: []}

$1["ext.kartographer.settings"]

< {requiredBy: ["ext.kartographer.box"], requires: ["mapbox"]}

$1["ext.kartographer.box"]

< {requiredBy: ["ext.kartographer.visualEditor"], requires: Array}

Event Timeline

TheDJ created this task.Oct 18 2016, 2:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2016, 2:00 PM
Restricted Application added a project: Discovery. · View Herald TranscriptOct 18 2016, 10:59 PM
JGirault moved this task from Backlog to To-do on the Maps-Sprint board.Oct 19 2016, 6:51 PM
Esanders triaged this task as High priority.Oct 20 2016, 10:02 PM
JGirault moved this task from To-do to In progress on the Maps-Sprint board.

Change 317080 had a related patch set uploaded (by JGirault):
Fix mapbox and other map scripts always loaded by VE

https://gerrit.wikimedia.org/r/317080

Change 317080 merged by jenkins-bot:
Fix mapbox and other map scripts always loaded by VE

https://gerrit.wikimedia.org/r/317080

Yurik closed this task as Resolved.Oct 21 2016, 5:01 AM
Jdforrester-WMF set the point value for this task to 0.
Jdforrester-WMF removed a project: Patch-For-Review.